Bug 463695 - [LTC 6.0 FEAT] 201723:Kernel Message Catalog autogeneration - Stage 1: infrastructure
[LTC 6.0 FEAT] 201723:Kernel Message Catalog autogeneration - Stage 1: infra...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: ---
Assigned To: Jan Glauber
Martin Jenner
:
Depends On:
Blocks: 356741 463698 463700 465490
  Show dependency treegraph
 
Reported: 2008-09-24 02:40 EDT by IBM Bug Proxy
Modified: 2009-06-20 02:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 11:46:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel6-kmsg-catalog.diff (277.60 KB, text/plain)
2009-04-20 08:40 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2008-09-24 02:40:27 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:22 EDT
1. Feature Overview:
Feature Id:	[201723]
a. Name of Feature:	Kernel Message Catalog  autogeneration - Stage 1: infrastructure
b. Feature Description
Instrument the kernel components such that a kernel message catalog as well as related man pages can
be automatically generated.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Installer: Yes
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Submitted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	k2.6.28

3. Business Case
This is a customer request, which will make it easier to do translation of the  messages and make
them more understandable to the administrator so that the can  react faster to a message.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 2 Bill Nottingham 2008-10-02 17:16:36 EDT
We are not realistically equipped to do continuously updating translations for the kernel message catalogs out-of-band, so this would need to be in the upstream kernel to be accepted.
Comment 3 IBM Bug Proxy 2009-02-18 10:10:41 EST
Actually the customer requirement was about having the kernel messages documented in a way (for exmaple man page), so that if the customer is interested, he can make the translation himself....we are not requesting Red Hat to translate the automatic generated kernel messages man pages.

The messages are accepted upstream, but the macros to automatically generate the man pages were rejected. If you are interested in the patch, we will be willing to provide it to you.

More details under:
??? In ???Kernel Messages??? in latest version of Device Drivers, Features, and Commands at:
http://www.ibm.com/developerworks/linux/linux390/development_documentation.html

Thank you!
Comment 5 IBM Bug Proxy 2009-04-20 08:40:53 EDT
Created attachment 340333 [details]
rhel6-kmsg-catalog.diff


------- Comment on attachment From hans@linux.vnet.ibm.com 2009-04-20 08:39 EDT-------


added patch
Comment 6 John Jarvis 2009-05-20 10:42:24 EDT
IBM, can you please provide a pointer to the upstream rejection?
Comment 7 IBM Bug Proxy 2009-05-20 11:20:53 EDT
------- Comment From gmuelas@de.ibm.com 2009-05-20 11:13 EDT-------
Hello Red Hat,

here is the first in thread I found by google-ing "lkml kernel message catalog":
http://lkml.org/lkml/2008/10/16/200
Comment 8 Bill Nottingham 2009-05-20 11:30:45 EDT
That's the same one I found as well. If it's rejected upstream as a concept, we're not going to carry this as a patch.
Comment 9 RHEL Product and Program Management 2009-05-20 11:46:06 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 10 IBM Bug Proxy 2009-05-28 08:30:55 EDT
------- Comment From mgrf@de.ibm.com 2009-05-28 08:26 EDT-------
Hello Red Hat,
Thanks for your evaluation

Closing this feature request , Thx

Note You need to log in before you can comment on or make changes to this bug.